<%@ Page Language="C#" AutoEventWireup="true" Inherits="SuperWeibo.Page._Admin_RegistMode" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>设置注册模式-<% =XConfig.Info.cCompanyName %></title>
<% =Me.Css() %>
</head>
<body>
<center>
<SuperWeibo:header_blog id="header_blog" runat="server" />
<div id="blog_c">
	<div id="blog_c_left">
		
		<div id="blog_writer" class="blog_sz" style="min-height:600px;border-top:solid 0px #FFFFFF;_height:600px;overflow:visible;">

		<form id="form1" name="form1" action="RegistMode.aspx" method="post">
		<table id="common_table" width="100%" cellpadding="0" cellspacing="0" border="0" bordercolor="#CCCCCC" style="border-collapse:collapse;">
		<tr>
			<td class="caption" nowrap>
			</td>
			<td>
				<br>
				<font style="font-size:20px;">设置注册模式</font><br>
				&bull; 常规模式：获悉本平台网址的用户均可以注册、登录等；无限制！<br>
				&bull; 口令模式：只有知道“注册口令”的用户方能注册、登录等；<br>
			</td>
		</tr>
		<tr>
			<td class="caption" nowrap>
				注册模式:
			</td>
			<td>
				<% =PageBuffer %>
			</td>
		</tr>
		<tr id="ext" style="display:none;">
			<td class="caption" nowrap>
				注册口令:
			</td>
			<td>
				<input type="text" id="RegistPassword" name="RegistPassword" size="16" style="border:solid 1px #CCCCCC;padding:5px;" value="<% =PagePassword %>" onblur="$('#check_' + this.id).html('');" onclick="$('#check_' + this.id).html('<font color=blue>至少6位字母或数字,大小写不敏感.</font>');">
				<span id="check_RegistPassword" class="check_echo"></span>
			</td>
		</tr>
		<tr>
			<td>
			</td>
			<td>
				<div class="sbt" style="float:left;margin-right:0px;" onclick='Finish()'><img src="/images/right.gif"></div>
			</td>
		</tr>
		<tr>
			<td class="caption" nowrap>
			</td>
			<td style="color:#EE0000;">
				<% =PageResult %>
			</td>
		</tr>
		</table>
		</form>
		
		</div>
	</div>
	<div id="blog_c_right"></div>
</div>
<SuperWeibo:footer_blog id="footer_blog" runat="server" />
<script language="javascript">

ShowSummary();

Bind();

function Finish()
{
	var md = parseInt($("input#registmode").val(), 10);
	if(md > 0) {
		if($("#RegistPassword").length > 0) $("#RegistPassword").val($("#RegistPassword").val());
		if($("#RegistPassword").val().length > 0) {
			$("#submit_command").html("<img src=\"/images/ajax-loader.gif\">");
			document.form1.submit(); 
			return true;
		}
	}
	else {
		$("#submit_command").html("<img src=\"/images/ajax-loader.gif\">");
		document.form1.submit(); 
		return true;
	}
	return false;
}

document.body.onclick = function () { 
	if($("input#registmode").val() == "0") {
		$("#ext").css("display", "none");
	}
	else {
		$("#ext").css("display", "");
	}
}
document.body.onmouseover = document.body.onclick;

</script>
</center>
</body>
</html>
